Get a list of applications held by an account. | Algorand Developer Portal

Get a list of applications held by an account.

GET

/v2/accounts/{address}/applications

Lookup an account’s application holdings (local state and params if the account is the creator).

Authorizations

Parameters

Path Parameters

address
required
string
/[A-Z0-9]{58}/
An account public key.

Query Parameters

limit
integer
Maximum number of results to return.

next
string
The next page of results. Use the next token provided by the previous results.

include
Array
Allowed values: params
Include additional items in the response. Use params to include full application parameters (global state, schema, etc.). Multiple values can be comma-separated. Defaults to returning only application IDs and local state.

Responses

200

AccountApplicationsInformationResponse contains a list of application resources for an account.

Select media type application/json

object

application-resources

Array

AccountApplicationResource describes the account’s application resource (local state and params if the account is the creator) for a specific application ID.

object

app-local-state
Stores local state associated with an application.

object

id
required
The application which this local state is for.

integer

key-value
Represents a key-value store for use in an application.

Array

Represents a key-value pair in an application store.

object

key
required
string

value
required
Represents a TEAL value.

object

bytes
required
[tb] bytes value.

string

type
required
[tt] value type. Value 1 refers to bytes, value 2 refers to uint

integer

uint
required
[ui] uint value.

integer format: uint64

schema
required
Specifies maximums on the number of each type that may be stored.

object

num-byte-slice
required
[nbs] num of byte slices.

integer format: uint64

num-uint
required
[nui] num of uints.

integer format: uint64

created-at-round
Round when the account opted into or created the application.

integer

deleted
Whether the application has been deleted.

boolean

id
required
The application ID.

integer

params
Stores the global information associated with an application.

object

approval-program
required
[approv] approval program.

string format: byte

/^(?:[A-Za-z0-9+/]{4})*(?:[A-Za-z0-9+/]{2}==|[A-Za-z0-9+/]{3}=)?$/

clear-state-program
required
[clearp] approval program.

string format: byte

/^(?:[A-Za-z0-9+/]{4})*(?:[A-Za-z0-9+/]{2}==|[A-Za-z0-9+/]{3}=)?$/

creator
required
The address that created this application. This is the address where the parameters and global state for this application can be found.

string

extra-program-pages
[epp] the amount of extra program pages available to this app.

integer format: uint64

global-state
Represents a key-value store for use in an application.

Array

Represents a key-value pair in an application store.

object

key
required
string

value
required
Represents a TEAL value.

object

bytes
required
[tb] bytes value.

string

type
required
[tt] value type. Value 1 refers to bytes, value 2 refers to uint

integer

uint
required
[ui] uint value.

integer format: uint64

global-state-schema
Specifies maximums on the number of each type that may be stored.

object

num-byte-slice
required
[nbs] num of byte slices.

integer format: uint64

num-uint
required
[nui] num of uints.

integer format: uint64

local-state-schema
Specifies maximums on the number of each type that may be stored.

object

num-byte-slice
required
[nbs] num of byte slices.

integer format: uint64

num-uint
required
[nui] num of uints.

integer format: uint64

size-sponsor
[ss] the account responsible for extra pages and global state MBR

string

version
[v] the number of updates to the application programs

integer

next-token
Used for pagination, when making another request provide this token with the next parameter. The next token is the next application ID to use as the pagination cursor.

string

round
required
The round for which this information is relevant.

integer

400

Malformed address

Select media type application/json

An error response with optional data field.

object

data
object

message
required
string

401

Invalid API Token

Select media type application/json

An error response with optional data field.

object

data
object

message
required
string

500

Internal Error

Select media type application/json

An error response with optional data field.

object

data
object

message
required
string

default

Unknown Error